Subject: bug#56393: Actually fix the long lines display bug

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Jul 2022 20:50:57 +0300

One problem with the current implementation that uses narrowing is
that if you have the same buffer buffer shown in more than one window,
the non-selected windows sometimes scroll "by themselves".  To
reproduce, visit, e.g., long-line.xml, say "C-x 2", then scroll with
C-v: at some point the other window will also scroll, to reflect the
narrowing.